import 'package:elektronika/app/core/themes/theme.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

Widget retryBuilder(callback) {
  return Center(
    child: Material(
      elevation: 1,
      color: Colors.white,
      shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(50)),
      child: IconButton(
        onPressed: callback,
        icon: Icon(
          Icons.refresh_sharp,
          size: 32.sp,
          color: ThemeColor.mainColor,
        ),
      ),
    ),
  );
}
